Bug 1015699 - python-pyglet: please enable python 3 version
python-pyglet: please enable python 3 version
Product: Fedora
Classification: Fedora
Component: python-pyglet (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Viktorin
Fedora Extras Quality Assurance
Depends On:
Blocks: 982759
  Show dependency treegraph
Reported: 2013-10-04 17:03 EDT by Zbigniew Jędrzejewski-Szmek
Modified: 2013-11-10 03:00 EST (History)
1 user (show)

See Also:
Fixed In Version: python-pyglet-1.2-0.7.alpha1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-18 15:35:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zbigniew Jędrzejewski-Szmek 2013-10-04 17:03:56 EDT
Description of problem:
python3-pyglet is necessary for python3-mpmath.

In the review request, you wrote that python3 version is buggy, without further details. I've rebuilt the package with with_python3=1, and everything[*] seems to be working. What exactly was failing, maybe it is fixed now?

[*] I run a bunch of tests from http://pyglet.googlecode.com/svn/trunk/examples/. They seem to either work on 2 and 3, or fail on both.

Version-Release number of selected component (if applicable):
Comment 1 Petr Viktorin 2013-10-07 12:38:23 EDT
Curious, when I re-tested now, things work as you've described. Must have been a temporary glitch.
Thanks for reporting! I'll get right on it.
Comment 2 Fedora Update System 2013-10-07 13:24:20 EDT
python-pyglet-1.2-0.7.alpha1.fc20 has been submitted as an update for Fedora 20.
Comment 3 Fedora Update System 2013-10-08 12:35:37 EDT
python-pyglet-1.2-0.7.alpha1.fc19 has been submitted as an update for Fedora 19.
Comment 4 Fedora Update System 2013-10-09 10:45:35 EDT
Package python-pyglet-1.2-0.7.alpha1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-pyglet-1.2-0.7.alpha1.fc20'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-18 15:35:47 EDT
python-pyglet-1.2-0.7.alpha1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-11-10 03:00:17 EST
python-pyglet-1.2-0.7.alpha1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.